%define sourcename mousepad
Name: xfce-%sourcename
Version: 0.2.14
Release: alt1

Summary: Mousepad - A simple text editor for Xfce
License: GPL
Group: Graphical desktop/XFce
Url: http://xfce-goodies.berlios.de
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: http://download.berlios.de/xfce-goodies/%sourcename-%version.tar.bz2

Requires: libgtk+2-common
Provides: mousepad
Obsoletes: mousepad < 0.2.13

# Automatically added by buildreq on Sun Nov 09 2008
BuildRequires: gcc-c++ intltool libxfcegui4-devel xfce4-dev-tools

%description
Mousepad is a text editor for Xfce based on Leafpad. The initial reason for
Mousepad was to provide printing support, which would have been difficult
for Leafpad for various reasons.

%prep
%setup -n %sourcename-%version

%build
libtoolize --force --copy
intltoolize --force
aclocal -I %_datadir/xfce4/dev-tools/m4macros
automake -acf
autoconf
%configure \
    --enable-debug=no

%make_build

%install
%makeinstall
%find_lang %sourcename

%post
%_bindir/gtk-update-icon-cache
%postun
%_bindir/gtk-update-icon-cache

%files -f %sourcename.lang
%doc ChangeLog INSTALL README TODO
%_bindir/*
%_pixmapsdir/*
%_desktopdir/*

%changelog
* Sun Nov 09 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.2.14-alt1
- Xfce 4.4.3 release

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 0.2.13-alt1
- Xfce 4.4.2 release
- rename package
* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.2.12-alt0.1
- Xfce 4.4 release

* Fri Nov 10 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.2.10-alt2
- strict build requires libgtk+2-devel

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  0.2.10-alt1
- First version of RPM package for Sisyphus.
